#!/usr/bin/env python
# coding: utf-8

# In[1]:


import matplotlib.pyplot as plt
import numpy as np
import os.path as op
import xarray as xr
from scipy import signal
#import xrft
import scipy.stats as stats
import pandas as pd
import warnings
warnings.filterwarnings('ignore')
import sys

outname=sys.argv[1]
idir = "/scratch/m/m300522/"
ds = xr.open_dataset(idir+outname+"_1.nc").new
nt = ds.shape[0]
nlat = ds.shape[1]
nlon_ = ds.shape[2]


# In[ ]:


nproc = 20 # number of processes needs to match the number in the paralelle runscript
nlon = nlon_ * nproc
nstep = np.int64(nlon / nproc)
new = np.zeros((nt,nlat,nlon))
lon_new = np.zeros((nlon))
for step in range(nproc):
    print(step)
    ds = xr.open_dataset(idir+outname+"_"+str(step)+".nc").new
    new[:,:,step*nstep:(step+1)*nstep] = ds
    lon_new[step*nstep:(step+1)*nstep] = ds.lon
    print(ds.shape)

# In[24]:


outdir = sys.argv[2]
varname= sys.argv[3]
ds = xr.Dataset(
    {
        varname: (["freq","lat", "lon"], new),
    },
    coords={
        "lon": ( lon_new),
        "lat": ( ds.lat),
        "freq": (ds.freq),
    },
)
ds.to_netcdf(outdir+varname+"_r01.nc")




