#! /bin/bash
#SBATCH --job-name=pyhur
#SBATCH --time=01:30:00
#SBATCH --output=log.o-%j.out
#SBATCH --error=log.o-%j.out
#SBATCH --ntasks=20
#SBATCH --nodes=8
#SBATCH --partition=compute,compute2
#SBATCH --mem=90G
#SBATCH --account=mh0033
set -x

#module load python/2.7.12
#module list

#source /home/mpim/m300602/bin/myactcondenv.sh

source activate pyicon_py38
which python
startdate=`date +%Y-%m-%d\ %H:%M:%S`

#winter
#outname="surface_input_feb2021_allfreqs" # file suffix for temp output after parallel computation
#mpirun -np 20 python -u /home/mpim/m300522/projects/niw_dywin/notebooks/for_paper/processing_compute_spectral_surface_input_feb2021.py $outname --no_backend

#summer
outname="surface_input_sep2020_allfreqs" # file suffix for temp output after parallel computation
mpirun -np 20 python -u /home/mpim/m300522/projects/niw_dywin/notebooks/for_paper/processing_compute_spectral_surface_input_sep2020.py $outname --no_backend


enddate=`date +%Y-%m-%d\ %H:%M:%S`
echo "Started at ${startdate}"
echo "Ended at   ${enddate}"

#sbatch exe_gpu.run
